Bug 15650 - XML attribute nodes are not importable
Summary: XML attribute nodes are not importable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-23 17:30 PDT by Kevin Decker
Modified: 2019-02-06 09:03 PST (History)
3 users (show)

See Also:


Attachments
test case (1.40 KB, text/html)
2007-10-23 17:30 PDT, Kevin Decker
no flags Details
proposed fix (8.82 KB, patch)
2007-10-25 09:37 PDT, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Decker 2007-10-23 17:30:18 PDT
XML attribute nodes are not importable; see attached test case.

* STEPS TO REPRODUCE
1. Load attach test case in Safari 3.

* RESULTS
The following exception appears in the JavaScript Console: "NOT_SUPPORTED_ERR: DOM Exception 9"

Firefox does not throw the exception.
Comment 1 Kevin Decker 2007-10-23 17:30:55 PDT
Created attachment 16822 [details]
test case
Comment 2 Alexey Proskuryakov 2007-10-25 09:37:28 PDT
Created attachment 16858 [details]
proposed fix
Comment 3 Darin Adler 2007-10-25 10:23:37 PDT
Comment on attachment 16858 [details]
proposed fix

Looks great, r=me.
Comment 4 Alexey Proskuryakov 2007-10-25 11:42:28 PDT
Committed revision 27052.

Comment 5 Lucas Forschler 2019-02-06 09:03:32 PST
Mass moving XML DOM bugs to the "DOM" Component.